Bug 998921 - [upgrade] correctly detect if packages can be rollbacked
[upgrade] correctly detect if packages can be rollbacked
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Yedidyah Bar David
Pavel Stehlik
integration
: ZStream
Depends On:
Blocks: 999224
  Show dependency treegraph
 
Reported: 2013-08-20 06:59 EDT by Alon Bar-Lev
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: is11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 999224 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18310 None None None Never
oVirt gerrit 18311 None None None Never

  None (edit)
Description Alon Bar-Lev 2013-08-20 06:59:28 EDT
Use yum api correctly to detect reinstallation available of packages.

Current implementation will have false positives when checking if rallback is available.

Trivial to downgrade t 3.2.z.
Comment 1 Alon Bar-Lev 2013-08-20 07:01:26 EDT
Itamar, please mark for 3.2.z
Comment 4 Ilanit Stein 2013-08-25 08:59:10 EDT
For verification flow, see bug 999224 verification comment (only here rhevm upgrade should be between 3.3 versions).
Comment 5 Tareq Alayan 2013-08-26 09:05:29 EDT
verified on is11
Comment 6 Itamar Heim 2014-01-21 17:23:26 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:24:31 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:28:07 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.